﻿using System.Windows.Forms;

namespace ServerMonitorApp
{
    /// <summary>Combo box containing options for matching text against a response string.</summary>
    class MatchComboBox : ComboBox
    {
        protected override void OnCreateControl()
        {
            base.OnCreateControl();
            // Clear the items to prevent duplicates added at design time and run time.
            Items.Clear();
            Items.Add("equals");
            Items.Add("does not equal");
            Items.Add("contains");
            Items.Add("does not contain");
            Items.Add("is greater than");
            Items.Add("is less than");
            SelectedIndex = 0;
        }
    }

    /// <summary>Types of matches that can be run against a response string.</summary>
    public enum MatchType { Equals = 0, NotEquals = 1, Contains = 2, NotContains = 3, GreaterThan = 4, LessThan = 5 }
}
